# -*- coding: utf-8 -*-
from django.utils.translation import gettext_lazy as _

children = []
models = [
    {
        'model_name': 'notification',
        'model_label': _('notification'),
        'model_label_plural': _('notifications')
    },
    {
        'model_name': 'notificationrecipient',
        'model_label': _('notification recipient'),
        'model_label_plural': _('notification recipients')
    },
    {
        'model_name': 'notificationtype',
        'model_label': _('notification type'),
        'model_label_plural': _('notification types')
    },
]

for model in models:
    add_entry = {
        "title": _("add {}").format(model['model_label']),
        "url_name": f"admin:notify_{model['model_name']}_add",
        "perms": [f"notify.add_{model['model_name']}"],
    }
    children.append(add_entry)
    list_entry = {
        "title": _("list {}").format(model['model_label_plural']),
        "url_name": f"admin:notify_{model['model_name']}_changelist",
        "perms": [
            f"notify.view_{model['model_name']}",
            f"notify.change_{model['model_name']}"
        ],
    }
    children.append(list_entry)

menu_items = [{
    'title': _('notify'),
    'url_name': {'viewname': 'admin:app_list', 'kwargs': {'app_label': 'notify'}},
    'perms': ['notify.*'],
    'children': children
}]
