# Generated by Django 2.2.24 on 2021-08-31 21:07

import django.db.models.deletion
from django.conf import settings
from django.db import migrations, models


class Migration(migrations.Migration):

    initial = True

    dependencies = [
        migrations.swappable_dependency(settings.AUTH_USER_MODEL),
    ]

    operations = [
        migrations.CreateModel(
            name='Notification',
            fields=[
                ('id', models.AutoField(auto_created=True, primary_key=True, serialize=False, verbose_name='ID')),
                ('date_create', models.DateTimeField(auto_now_add=True, verbose_name='date create')),
                ('date_last_modify', models.DateTimeField(auto_now=True, verbose_name='date last modify')),
                ('status', models.IntegerField(choices=[(0, 'disable'), (1, 'enable')], default=1, null=True, verbose_name='status')),
                ('ordering', models.IntegerField(default=0, verbose_name='ordering')),
                ('subject', models.CharField(max_length=20, verbose_name='subject')),
                ('slug', models.SlugField(max_length=20, verbose_name='slug')),
                ('body', models.TextField(verbose_name='body')),
                ('call_to_action_label', models.CharField(blank=True, max_length=255, null=True, verbose_name='call to action label')),
                ('call_to_action_url', models.URLField(blank=True, null=True, verbose_name='call to action url')),
                ('creator', models.ForeignKey(on_delete=django.db.models.deletion.PROTECT, related_name='notify_notification_creator', to=settings.AUTH_USER_MODEL, verbose_name='creator')),
                ('last_modifier', models.ForeignKey(on_delete=django.db.models.deletion.PROTECT, related_name='notify_notification_last_modifier', to=settings.AUTH_USER_MODEL, verbose_name='last modifier')),
            ],
            options={
                'verbose_name': 'notification',
                'verbose_name_plural': 'notifications',
                'ordering': ('ordering', '-date_create'),
                'permissions': (('list_notification', 'Can list notification'), ('detail_notification', 'Can detail notification'), ('enable_notification', 'Can enable notification'), ('disable_notification', 'Can disable notification')),
            },
        ),
        migrations.CreateModel(
            name='NotificationRecipient',
            fields=[
                ('id', models.AutoField(auto_created=True, primary_key=True, serialize=False, verbose_name='ID')),
                ('date_create', models.DateTimeField(auto_now_add=True, verbose_name='date create')),
                ('date_last_modify', models.DateTimeField(auto_now=True, verbose_name='date last modify')),
                ('status', models.IntegerField(choices=[(0, 'disable'), (1, 'enable')], default=1, null=True, verbose_name='status')),
                ('ordering', models.IntegerField(default=0, verbose_name='ordering')),
                ('reading_date', models.DateTimeField(blank=True, null=True, verbose_name='reading date')),
                ('creator', models.ForeignKey(on_delete=django.db.models.deletion.PROTECT, related_name='notify_notificationrecipient_creator', to=settings.AUTH_USER_MODEL, verbose_name='creator')),
                ('last_modifier', models.ForeignKey(on_delete=django.db.models.deletion.PROTECT, related_name='notify_notificationrecipient_last_modifier', to=settings.AUTH_USER_MODEL, verbose_name='last modifier')),
                ('notification', models.ForeignKey(on_delete=django.db.models.deletion.CASCADE, related_name='notification_recipients', to='notify.Notification', verbose_name='notification')),
                ('user', models.ForeignKey(on_delete=django.db.models.deletion.CASCADE, related_name='notifications', to=settings.AUTH_USER_MODEL, verbose_name='user')),
            ],
            options={
                'verbose_name': 'notification recipient',
                'verbose_name_plural': 'notification recipients',
                'ordering': ('ordering', '-notification__date_create'),
                'permissions': (('list_notificationrecipient', 'Can list notification recipient'), ('detail_notificationrecipient', 'Can detail notification recipient'), ('enable_notificationrecipient', 'Can enable notification recipient'), ('disable_notificationrecipient', 'Can disable notification recipient')),
                'unique_together': {('user', 'notification')},
            },
        ),
    ]
