# Generated by Django 3.2.15 on 2022-09-13 15:56

import django.db.models.deletion
from django.conf import settings
from django.db import migrations, models


class Migration(migrations.Migration):

    dependencies = [
        migrations.swappable_dependency(settings.AUTH_USER_MODEL),
        ('notify', '0001_initial'),
    ]

    operations = [
        migrations.CreateModel(
            name='NotificationType',
            fields=[
                ('id', models.AutoField(auto_created=True, primary_key=True, serialize=False, verbose_name='ID')),
                ('date_create', models.DateTimeField(auto_now_add=True, verbose_name='date create')),
                ('date_last_modify', models.DateTimeField(auto_now=True, verbose_name='date last modify')),
                ('status', models.IntegerField(choices=[(0, 'disable'), (1, 'enable')], default=1, null=True, verbose_name='status')),
                ('ordering', models.IntegerField(default=0, verbose_name='ordering')),
                ('code', models.CharField(max_length=50, verbose_name='code')),
                ('category', models.CharField(choices=settings.NOTIFY_NOTIFICATIONTYPE_DEF, db_index=True, max_length=3, verbose_name='category')),
                ('name', models.CharField(max_length=255, unique=True, verbose_name='name')),
                ('description', models.TextField(blank=True, verbose_name='description')),
                ('note', models.TextField(blank=True, verbose_name='note')),
                ('periodicity', models.IntegerField(blank=True, null=True, verbose_name='periodicity in days')),
                ('creator', models.ForeignKey(on_delete=django.db.models.deletion.PROTECT, related_name='notify_notificationtype_creator', to=settings.AUTH_USER_MODEL, verbose_name='creator')),
                ('last_modifier', models.ForeignKey(on_delete=django.db.models.deletion.PROTECT, related_name='notify_notificationtype_last_modifier', to=settings.AUTH_USER_MODEL, verbose_name='last modifier')),
            ],
            options={
                'verbose_name': 'notification type',
                'verbose_name_plural': 'notification types',
                'ordering': ('ordering', 'name'),
                'permissions': (('list_notificationtype', 'Can list notification type'), ('detail_notificationtype', 'Can detail notification type'), ('enable_notificationtype', 'Can enable notification type'), ('disable_notificationtype', 'Can disable notification type')),
            },
        ),
        migrations.AddField(
            model_name='notification',
            name='type',
            field=models.ForeignKey(blank=True, null=True, on_delete=django.db.models.deletion.CASCADE, related_name='notifications', to='notify.notificationtype', verbose_name='type'),
        ),
    ]
